/* ===================================
   LIVRE D'OR - STRUCTURE
   =================================== */

.livredor-item {
  padding: 30px 30px 20px;
  background-color: var(--white);
  border-radius: 20px;
  height: 100%;
}
.lor-messages-flow {
  margin-top: 20%;
}
/* ===================================
   LIVRE D'OR - TYPOGRAPHY
   =================================== */
.lor-form h2,
.lor-messages h2 {
  font-size: 2.8rem;
  margin-bottom: 10px;
  color: var(--text-dark);
  font-weight: 700;
  font-family: "Inter", sans-serif;
}
.lor-form h3,
.lor-messages h3 {
  font-size: 1.7rem;
  margin-top: 25px;
  margin-bottom: 10px;
  font-weight: 700;
  font-family: "Inter", sans-serif;
}
.ld-emoji {
  font-size: 1.5rem;
  margin-right: 10px;
}
.livredor-item .ld-name {
  font-family: "Inter", sans-serif;
  font-size: 1.2rem;
  font-weight: 600;
  font-style: italic;
}
.livredor-item .ld-name span {
  color: var(--aared);
}
/* ===================================
  LIVRE D'OR CAROUSEL STRUCTURE
   =================================== */
#livre-dor-carousel .carousel-inner {
  display: flex;
  padding: 15px  35px 60px;
}
/*#livre-dor-carousel .carousel-item {
  display: flex;  
}*/
.carousel-control-next,
.carousel-control-prev {
  position: absolute;
  top: 0;
  left: -5px;
  z-index: 1;
  align-items: center;
  justify-content: flex-start;
  width: 10%;
  padding: 0;
}

.carousel-control-next {
  justify-content: flex-end;
  right: -5px;
  left: auto;
}
.carousel-control-prev-icon {
  background-image: url(../images/arrow_double_l.svg);
}
.carousel-control-next-icon {
  background-image: url(../images/arrow_double_l.svg);
  transform: scaleX(-1);
}
.carousel-indicators [data-bs-target] {
  background-color: var(--aagold);
  width: 10px;
  height: 10px;
  border-radius: 50%;
  /* opacity: .4; */
}
/* .carousel-indicators .active {
  background-color: var(--aarose);
} */
/* ===================================
   LIVRE D'OR FORM EMOJI LIST
   =================================== */
/* .ld-emoji-list #wpforms-46-field_2 {
} */
#wpforms-46 {
  --wpforms-field-size-input-spacing: 8px;
}
div.wpforms-container-full .ld-emoji-list input[type="radio"] {
  display: none;
}

#livre-dor-form
  div.wpforms-container-full
  .ld-emoji-list
  .wpforms-field-label-inline
  img {
  font-size: 1.75rem;
  transition: border 0.2s ease-out;
}
/*div.wpforms-container-full .ld-emoji-list li.wpforms-selected .wpforms-field-label-inline img {
  font-size: 1.95rem;
}*/

#livre-dor-form
  div.wpforms-container-full
  .ld-emoji-list
  #wpforms-46-field_2
  li {
  border: 1px dashed var(--aagold);
  padding: 8px 10px 8px 0;
  border-radius: 8px;
}

#livre-dor-form
  div.wpforms-container-full
  .ld-emoji-list
  #wpforms-46-field_2
  li.wpforms-selected {
  border: 1px solid var(--aavert);
  background-color: #f4ffe8;
}

#livre-dor-form div.wpforms-container-full .wpforms-confirmation-container-full,
#livre-dor-form
  div[submit-success]
  > .wpforms-confirmation-container-full:not(.wpforms-redirection-message) {
  border: 0;
  background-color: var(--aajaune);
  color: var(--text-dark);
  border-radius: 10px;
}
#livre-dor-form .wpforms-container .wpforms-field {
  padding: 10px 0;
}
#livre-dor-form .wpforms-container .wpforms-field-limit-text {
  text-align: right;
}

#livre-dor-form
  div.wpforms-container-full
  button[type="submit"]:not(:hover):not(:active),
#livre-dor-form div.wpforms-container-full button[type="submit"] {
  transition: all 0.25s ease-in-out;
  float: right;
  font-weight: 600;
  font-size: 1.15rem;
  padding: 0.85rem 1.4rem 2rem 1.4rem;
}
#livre-dor-form div.wpforms-container-full button[type="submit"]:hover {
  background: var(--aavert);
  color: var(--text-dark);
  /* background: linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)), var(--wpforms-button-background-color-alt, var(--wpforms-button-background-color)); */
}
/* ===================================
   RESPONSIVE - TYPOGRAPHY AND STRUCTURE
   =================================== */
@media (width < 992px) {
  .lor-form h2,
  .lor-messages h2 {
    font-size: 1.5rem;
  }
  .lor-form h3,
  .lor-messages h3 {
    font-size: 1.2rem;
  }
}

@media (width < 720px) {
  .lor-form .row:has(.ld-instructions) {
    flex-direction: column-reverse;
  }
}
